// pages/evaluation/evaluation.js
const app = getApp()
const util = require("../../utils/util")
const urlDef = require("../../utils/urls")
Page({

  /**
   * 页面的初始数据
   */
  data: {
    beginDate: null,
    endDate: null,
    flag: 0,
    list: [
    ],
    loading: '上拉加载',
    flag: 0,
    pageNum: 0,
    hasNextPage: true,
  },

  getMore: function (e) {
    let id = e.currentTarget.dataset.id;
    let item = this.data.list.filter(o => o.id == id)[0]
    wx.navigateTo({
      url: '/pages/evaluationDetail/evaluationDetail?item=' + JSON.stringify(item)
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    let now = new Date();
    // 显示近7天的预约记录
    let ed = util.formatTime(now).substring(0, 10).replace(/\//g, '-')
    let bd = ed.substring(0, 5) + '01-01'
    this.setData({ beginDate: bd, endDate: ed, list: [] });
    this.queryList()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    if (this.data.hasNextPage) {
      let pn = this.data.pageNum
      this.setData({ loading: '加载中', 'pageNum': ++pn })
      this.queryList()
    }
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  getDates: function (e) {
    this.setData({
      list: [],
      pageNum: 0,
      beginDate: e.detail[0],
      endDate: e.detail[1],
      loading: '加载中'
    })
    this.queryList()
  },
  queryList: function () {
    const urls = urlDef.urls;
    let stu = wx.getStorageSync('student')
    let params = { 'q.beginDate': this.data.beginDate, 'q.endDate': this.data.endDate, 'q.studentId': stu.studentId, 'q.orgId': stu.orgId }
    params.pageNum = this.data.pageNum
    util.apiPost(urls.get_student_comment, params).then(rs => {
      let list = rs.list
      list.map(o => {
        if (o.attendTime) {
          o.attendTime = o.attendTime.substring(0, 10)
        }
        if (o.beginTime) {
          o.beginTime = o.beginTime.substring(11, 17)
        }
        if (o.endTime) {
          o.endTime = o.endTime.substring(11, 17)
        }
      })
      this.setData({
        'hasNextPage': rs.hasNextPage,
        'loading': rs.hasNextPage ? '下拉刷新' : '没有更多数据',
        'list': this.data.list.concat(list)
      })
    })
  }
})